<template>
    <div class="cta">
        <div class="price">{{item.price}} ₽</div>        
        <button v-if="!(item.quantity > 0)" class="button" @click="addToOrder(item)">В КОРЗИНУ</button>
        <div class="qauntity-cont" v-else>
            <button class="small-button" @click="delFromOrderByProduct(item.id)">&#8722;</button>
            <span class="quantity">{{item.quantity}}</span>
            <button class="small-button" @click="addToOrder(item)">&#65291;</button>
        </div>
    </div>

</template>
<script>    
    import { mapMutations } from 'vuex';
    export default {
        props: ['item'],
        methods: {
            ...mapMutations([
                'addToOrder',
                'delFromOrderByProduct'
            ])
        },
    }
</script>
<style scoped>
    .cta {
        display: flex;
        flex-flow: row nowrap;
        justify-content: center;        
        width: 100%;
        
    }

    .price {                
        font-size: 1.5em;          
        text-align: right;
        margin: 5px;
        margin-right: 15px;
    }

    .button {            
        border: none;
        border-radius: 10px;
        background-color: #f0712c;
        color: white;
        width: 135px;
        margin: 5px;
        transition: all 0.1s ease;
    }
    .button:hover {
        background-color: #de601b;
    }

    .qauntity-cont {        
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        width: 135px;;        
        margin: 5px;
    }

    .small-button {            
        border: none;
        border-radius: 10px;
        background-color: #f0712c;
        color: white;        
        width: 45px;        
        transition: all 0.1s ease;
    }

    .small-button:hover {
        background-color: #de601b;
    }

    .quantity {     
        border: none;           
        font-size: 1.5em;    
        flex: 1;   
    }

    

</style>


